> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Units of Measurements



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/einvoice/resources/units-of-measurement
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/resources/units-of-measurement:
    get:
      tags:
        - Resources
      summary: Get All Units of Measurements
      responses:
        '200':
          description: Get All Units of Measurements
          content:
            application/json:
              example:
                status: true
                message: Units fetched successfully
                data:
                  - code: bag
                    name: Bag
                  - code: bar
                    name: Bar
                  - code: bottle
                    name: Bottle
                  - code: box
                    name: Box
                  - code: bundle
                    name: Bundle
                  - code: capsule
                    name: Capsule
                  - code: carton
                    name: Carton
                  - code: cm
                    name: Centimeter
                  - code: crate
                    name: Crate
                  - code: doz
                    name: Dozen
                  - code: fl oz
                    name: Fluid Ounce
                  - code: ft
                    name: Foot
                  - code: gal
                    name: Gallon
                  - code: g
                    name: Gram
                  - code: in
                    name: Inch
                  - code: kg
                    name: Kilogram
                  - code: km
                    name: Kilometer
                  - code: l
                    name: Litre
                  - code: m
                    name: Meter
                  - code: mi
                    name: Mile
                  - code: mg
                    name: Milligram
                  - code: ml
                    name: Millilitre
                  - code: mm
                    name: Millimeter
                  - code: oz
                    name: Ounce
                  - code: pkt
                    name: Packet
                  - code: pair
                    name: Pair
                  - code: pcs
                    name: Pieces
                  - code: pt
                    name: Pint
                  - code: lb
                    name: Pound
                  - code: qt
                    name: Quart
                  - code: roll
                    name: Roll
                  - code: sachet
                    name: Sachet
                  - code: set
                    name: Set
                  - code: sheet
                    name: Sheet
                  - code: tablet
                    name: Tablet
                  - code: t
                    name: Ton
                  - code: yd
                    name: Yard
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````